{
  "type": "VideoOptionsPanel",
  "name": "dic_text_example", //"hd" 없이 파일 이름 입력
  "fields": {
    "priority": 9003,
    "rect": "$OptionsPanelRect",
    "anchor": { "x": 0.5 },
    "applySettingsImmediately": false
  },
  "children": [
    {
      "type": "ImageWidget",
      "name": "ScrollBarBackground",
      "fields": {
        "rect": "$OptionsScrollBarBackgroundRect",
        "anchor": { "x": 1.0 },
        "filename": "PauseMenu\\VerticalScroll"
      },
      "children": [
        {
          "type": "ScrollControllerWidget",
          "name": "ScrollController",
          "fields": {
            "rect": "$OptionsScrollBarRect",
            "anchor": { "x": 1.0 },
            "upArrowFilepath": "FrontEnd\\HD\\Final\\FrontEnd_ScrollUpBtn",
            "downArrowFilepath": "FrontEnd\\HD\\Final\\FrontEnd_ScrollDownBtn",
            "barFilepath": "PauseMenu\\VerticalIndicator",
            "viewName": "ScrollView",
            "wheelScrollSound": "cursor_scroll_hd",
            "buttonScrollSound": "cursor_scroll_hd"
          }
        }
      ]
    },
    {
      "type": "ScrollViewWidget",
      "name": "ScrollView",
      "fields": {
        "fitToParent": true,
        "scrollControllerName": "ScrollController"
      },
      "children": [
        {
          "type": "TableWidget",
          "name": "OptionsTable",
          "fields": {
            "columns": [ "$OptionsTableColumn1", "$OptionsTableColumn2" ],
            "rowHeight": "$OptionsTableRowHeight"
          },
          "children": [
                     //1막 시작
            {
              "type": "TableRowWidget",//제목 테이블 생성
              "name": "Title Table",
              "children": [
                {
                  "type": "TextBoxWidget",//제목 텍스트 위젯 생성
                  "name": "Title Text",
                  "fields": {
                    "text": "1막 제목",//텍스트 입력
                    "style": {
                      "fontColor": "$FontColorGoldYellow",//폰트 색상
                      "pointSize": "$XLargeFontSize",//폰트 크기
                      "alignment": { "h": "left", "v": "center" },
                      "options": {
                        "newlineHandling": "standard",
                        "pipeCharacterBehavior": "handle"
                      },
                      "spacing": { "kerning": 0.9 }
                    }
                  },
                  "children": [
                    {
                      "type": "ImageWidget",//줄 이미지 위젯 생성
                      "name": "Divider",
                      "fields": {
                        "rect": "$OptionsDividerRect",//줄 이미지 위치
                        "filename": "PauseMenu\\Divider"//줄 이미지 파일 경로
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",//내용 테이블 생성
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",//내용 텍스트 위젯 생성
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "가나다",//텍스트 입력
                        "style": {
                          "fontColor": "$FontColorWhite",//폰트 색상
                          "pointSize": "$XMediumFontSize",//폰트 크기
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "라마바",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "사아자",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "차카타",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "파하",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": {
                            "h": "left",
                            "v": "top"
                          },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      },
                      "children": [
                        {
                          "type": "ImageWidget", //1개 아이템의 마지막 줄바꿈 위젯 생성
                          "name": "Divider",
                          "fields": {
                            "rect": { "x": 0, "y": 50 }, //줄 이미지 위치
                            "filename": "PauseMenu\\Divider" //줄 이미지 파일 경로
                          }
                        }
                      ]
                    }
                  ]
                }
              ]
            },
                     //2막 시작
            {
              "type": "TableRowWidget",
              "name": "Title Table",
              "children": [
                {
                  "type": "TextBoxWidget",
                  "name": "Title Text",
                  "fields": {
                    "text": "2막 제목",
                    "style": {
                      "fontColor": "$FontColorGoldYellow",
                      "pointSize": "$XLargeFontSize",
                      "alignment": {
                        "h": "left",
                        "v": "center"
                      },
                      "options": {
                        "newlineHandling": "standard",
                        "pipeCharacterBehavior": "handle"
                      },
                      "spacing": { "kerning": 0.9 }
                    }
                  },
                  "children": [
                    {
                      "type": "ImageWidget",
                      "name": "Divider",
                      "fields": {
                        "rect": "$OptionsDividerRect",
                        "filename": "PauseMenu\\Divider"
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "가나다",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "라마바",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "사아자",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "차카타",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      }
                    }
                  ]
                }
              ]
            },
            {
              "type": "TableRowWidget",
              "name": "Contents Table",
              "children": [
                {
                  "type": "LayoutItemWidget",
                  "name": "Contents Text Wrapper",
                  "fields": {
                    "marginTop": 12,
                    "marginBottom": 12
                  },
                  "children": [
                    {
                      "type": "TextBoxWidget",
                      "name": "Contents Text",
                      "fields": {
                        "fitToText": true,
                        "text": "파하",
                        "style": {
                          "fontColor": "$FontColorWhite",
                          "pointSize": "$XMediumFontSize",
                          "alignment": { "h": "left", "v": "top" },
                          "options": {
                            "newlineHandling": "standard",
                            "pipeCharacterBehavior": "handle"
                          },
                          "spacing": { "kerning": 0.9 }
                        }
                      },
                      "children": [
                        {
                          "type": "ImageWidget",//1개 아이템의 마지막 줄바꿈 위젯 생성
                          "name": "Divider",
                          "fields": {
                            "rect": { "x": 0, "y": 50 },//줄 이미지 위치
                            "filename": "PauseMenu\\Divider"//줄 이미지 파일 경로
                          }
                        }
                      ]
                    }
                  ]
                }
              ]
            },
          ]
        }
      ]
    }
  ]
}